# TdApi.InlineKeyboardButtonType (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InlineKeyboardButtonType

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InlineKeyboardButtonType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InlineKeyboardButtonType

Direct Known Subclasses:
  `TdApi.InlineKeyboardButtonTypeBuy`, `TdApi.InlineKeyboardButtonTypeCallback`, `TdApi.InlineKeyboardButtonTypeCallbackGame`, `TdApi.InlineKeyboardButtonTypeCallbackWithPassword`, `TdApi.InlineKeyboardButtonTypeLoginUrl`, `TdApi.InlineKeyboardButtonTypeSwitchInline`, `TdApi.InlineKeyboardButtonTypeUrl`, `TdApi.InlineKeyboardButtonTypeUser`, `TdApi.InlineKeyboardButtonTypeWebApp`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InlineKeyboardButtonType extends TdApi.Object permits TdApi.InlineKeyboardButtonTypeUrl, TdApi.InlineKeyboardButtonTypeLoginUrl, TdApi.InlineKeyboardButtonTypeWebApp, TdApi.InlineKeyboardButtonTypeCallback, TdApi.InlineKeyboardButtonTypeCallbackWithPassword, TdApi.InlineKeyboardButtonTypeCallbackGame, TdApi.InlineKeyboardButtonTypeSwitchInline, TdApi.InlineKeyboardButtonTypeBuy, TdApi.InlineKeyboardButtonTypeUser
This class is an abstract base class. Describes the type of an inline keyboard button.

## Constructor Summary

Constructors
Constructor
Description
`InlineKeyboardButtonType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InlineKeyboardButtonType

public InlineKeyboardButtonType()
Default class constructor.